import App from '../App'

const Login = r => require.ensure([], () => r(require('../views/login/login')), 'login')
const Index = r => require.ensure([], () => r(require('../views/index/index')), 'index')

const DataAnalysis = r => require.ensure([], () => r(require('../views/index/data-analysis/data-analysis')), 'data-analysis')
const Consumer = r => require.ensure([], () => r(require('../views/index/data-analysis/consumer/consumer')), 'consumer')
const Sales = r => require.ensure([], () => r(require('../views/index/data-analysis/sales/sales')), 'sales')

const Setting = r => require.ensure([], () => r(require('../views/index/setting/setting')), 'setting')
const SettingDealer = r => require.ensure([], () => r(require('../views/index/setting/setting-dealer')), 'setting-dealer')
const SettingModel = r => require.ensure([], () => r(require('../views/index/setting/setting-model')), 'setting-model')
const SettingOperator = r => require.ensure([], () => r(require('../views/index/setting/setting-operator')), 'setting-operator')
const SettingSalesman = r => require.ensure([], () => r(require('../views/index/setting/setting-salesman')), 'setting-salesman')

const Editor = r => require.ensure([], () => r(require('../views/editor/editor')), 'editor')
const SettingDealerEditor = r => require.ensure([], () => r(require('../views/editor/setting-dealer-editor')), 'setting-dealer-editor')
const SettingModelEditor = r => require.ensure([], () => r(require('../views/editor/setting-model-editor')), 'setting-model-editor')
const SettingOperatorEditor = r => require.ensure([], () => r(require('../views/editor/setting-operator-editor')), 'setting-operator-editor')
const SettingSalesmanEditor = r => require.ensure([], () => r(require('../views/editor/setting-salesman-editor')), 'setting-salesman-editor')

export default [{
  path: '/',
  component: App,
  mode: 'history',
  children: [
    {
      path: 'login',
      component: Login
    },
    {
      path: '/',
      component: Index,
      children: [
        {
          path: '/data-analysis',
          name: 'data-analysis',
          component: DataAnalysis,
          children: [
            {
              path: '/data-analysis/consumer',
              name: 'consumer',
              component: Consumer
            },
            {
              path: '/data-analysis/sales',
              name: 'sales',
              component: Sales
            }
          ]
        },
        {
          path: '/setting',
          name: 'setting',
          component: Setting,
          children: [
            {
              path: '/setting/setting-dealer',
              name: 'setting-dealer',
              component: SettingDealer
            },
            {
              path: '/setting/setting-model',
              name: 'setting-model',
              component: SettingModel
            },
            {
              path: '/setting/setting-operator',
              name: 'setting-operator',
              component: SettingOperator
            },
            {
              path: '/setting/setting-salesman',
              name: 'setting-salesman',
              component: SettingSalesman
            }
          ]
        }
      ]
    },
    {
      path: '/editor',
      component: Editor,
      children: [
        {
          path: '/setting/setting-dealer-editor',
          name: 'setting-dealer-editor',
          component: SettingDealerEditor
        },
        {
          path: '/setting/setting-model-editor',
          name: 'setting-model-editor',
          component: SettingModelEditor
        },
        {
          path: '/setting/setting-operator-editor',
          name: 'setting-operator-editor',
          component: SettingOperatorEditor
        },
        {
          path: '/setting/setting-salesman-editor',
          name: 'setting-salesman-editor',
          component: SettingSalesmanEditor
        }
      ]
    }
  ]
}]
